RDF::Trine::Parser::Turtle(3pm)

NAME
RDF::Trine::Parser::Turtle - Turtle RDF Parser

VERSION
This document describes RDF::Trine::Parser::Turtle version 1.014

SYNOPSIS
 use RDF::Trine::Parser;
 my $parser     = RDF::Trine::Parser->new( 'turtle' );
 $parser->parse_into_model( $base_uri, $data, $model );

DESCRIPTION
This module implements a parser for the Turtle RDF format.

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Parser class.

"new ( [ namespaces => $map ] )"
    Returns a new Turtle parser.

"parse ( $base_uri, $rdf, \&handler )"
    Parses the bytes in $data, using the given $base_uri. Calls the "triple" method for each RDF triple parsed. This method does nothing by default, but can be set by using one of the default "parse_*" methods.

"parse_file ( $base_uri, $fh, $handler )"
    Parses all data read from the filehandle or file $fh, using the given $base_uri. If $fh is a filename, this method can guess the associated parse. For each RDF statement parses $handler is called.

"parse_node ( $string, $base, [ token => \$token ] )"
    Returns the RDF::Trine::Node object corresponding to the node whose N-Triples serialization is found at the beginning of $string. If a reference to $token is given, it is dereferenced and set to the RDF::Trine::Parser::Turtle::Token tokenizer object, allowing access to information such as the token's position in the input string.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.